% Multiagent Reinforcement Learning toolbox
% Version 1.0
%
% This directory contains action selection algorithm implementations
%
% act                   - Template. Chooses an action for the agent
% asfq_greedyact        - Deterministic greedy action selection for adaptive state focus Q-learning
% fullstate_greedyact   - Deterministic full-state greedy action selection
% fullstate_stochact	- Stochastic action selection for policy indexed on full world state
% greedyact             - Deterministic greedy action selection for Q-learners
% pigreedyact           - Greedy policy-based action selection for policy indexed on agent's state
% staticact             - Static (non-learning) action selection policies
% stochact              - Stochastic action selection for policy indexed on agent's state
% teamgreedyact         - Deterministic greedy action selection for full-state, joint action Q-learners
