function w = world(agents)
%Template. Creates a world structure
%  W = WORLD(AGENTS)
%  World constructor function. The world constructor must create and
%  initialize any internal data structures, including a view associated
%  with the world if a visual representation is used.
%
%  This function is a template and performs no operations.
%  A new world type must implement this function under the name
%  <world_type>. This functions' first input and output argument(s) must
%  conform to the specifications below. New arguments may be added.
%  
%  Parameters:
%   AGENTS      - the agents in the gridworld, as a (possibly
%               heterogeneous) cell array
%  Returns:
%   W           - the created world
%
%
%  See also world_advance, world_destroy, world_reset, world_display

%  Author:      Lucian Busoniu
%  Version:     1.0
%  History:


% Init data structures

% Create world view


% Returning w

% END world()
% =======================================================================