% Change Log for the Multiagent Reinforcement Learning Toolbox
%
% =========================================================================
% Changes for Version 1.2:
%
% Added new world type robotsgw. This is a nicer view over a gridworld.
% Also supports fully competitive and fully cooperative versions. Supports
% delayed showing, and delayed slowing down of view updates.
%
% Changed episodic_learn to support online viewing of convergence progress.
%
% Added reset type support in world_reset.
%
% Modified WoLF-Q to support full-state, added switch to disable this
% Modified teamQ to support social conventions, added switch to disable
% this
%
% =========================================================================
% Changes for Version 1.1:
%
% Added continuous states and actions support. Hi-level functions made
% insensitive to the actual type of states and actions. State- and
% action-space sizes structures changed to accomodate more information such
% as type of variable, interval bounds for continuous variables etc. 0
% action becomes meaningful, noop action is now NaN
%
% Added nillearn, nilexplore, and staticact functions, to support static
% agent behaviors
%
% Added support for multiple actions variables per agent
%
% Combined agent_act and agent_learn into agent_control
%
% Fed actions and rewards into act and explore as well as learn
%
% States, (joint) actions and rewards are now column vectors.
% Consequently, index maps, and state-, action-space sizes are column vectors
% agent learning parameters fed to agent at construction and not at
% init_learn
%
% Added new robotic arm world. All algorithms in the library currently work
% only for discrete variables, so none of them work for robotic arm.
% Currently researching / testing algorithms for continuous spaces.
