% Multiagent Reinforcement Learning toolbox
% Version 1.2
%
% This directory contains the main control functions of the toolbox.
%
% learn             - Implements the learning control mechanism
% replay            - Replays the agents' current policies
% episodic_learn    - Implements the learning control mechanism in an episodic environment
% episodic_replay   - Replays the agents' current policies in an episodic environment
% startuprl         - Startup script for MA-RL toolbox
% cleanuprl         - Cleans up the paths added by the MA-RL startup script
% Changelog         - A changelog for the MA-RL toolbox
%
% Subdirectories:
% /agent            - Contains the functions and templates for implementing the agent behaviour
% /world            - Contains the functions and templates for implementing worlds (tasks)
% /batch            - Contains utility functions for running and processing batches of experiments
% /lib              - Contains library functions required by the MARL toolbox
% /rldemo           - Contains demonstrations of the usage and features of the MARL toolbox

