% Multiagent Reinforcement Learning toolbox
% Version 1.0
%
% This directory contains the functions implementing the agent behaviour
%
% agent             - Creates a new agent
% agent_initlearn   - Initializes the agent's learning behaviour
% agent_control     - Performs a control iteration for an agent
% agent_cleanup     - Cleans up learning structures of the agent
%
% Subdirectories
% /learnfuns         - Contains learning algorithm implementations
% /actfuns           - Contains action selection algorithm implementations
% /explorefuns       - Contains exploration strategy implementations
