% Multiagent Reinforcement Learning toolbox
% Version 1.0
%
% This directory contains templates for the functions that need to be
% implemented when creating a new world type.
% 
% world             - Template. Creates a world structure
% world_advance     - Template. Advances the world one discrete time step
% world_destroy     - Template. Destroys the world structure
% world_display     - Template. Shows or hides the world view
% world_info        - Template. Constructs the information structure for the world
% world_reset       - Template. Resets the world to its initial state
% world_stats       - Template. Returns world-specific statistics
%
% Subdirectories:
% /gridworld        - Contains a 2D gridworld implementation
% /robotarm2        - Contains a 2-link rigid robotic arm implementation