% Multiagent Reinforcement Learning toolbox
% Version 1.0
%
% This directory contains the array of functions for robots gridworld creation and
% handling.
% 
% robotsgw                 - Creates a 2D grid world
% robotsgw_dynamics        - Gridworld discrete-time dynamics
% robotsgw_destroy         - Destroys the gridworld
% robotsgw_display         - Shows or hides the gridworld view
% robotsgw_info            - Returns the information structure for the gridworld
% robotsgw_obstacles       - Interactively places obstacles in the grid world
% robotsgw_reset           - Resets the gridworld to its initial state and reports this state
% robotsgwview             - Creates the graphical view over a gridworld
% robotsgwview_isvisible   - Checks whether the gridworld view is shown
%
% Subdirectories:
% /img                      - Image files used by the gridworld view
